(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react-form-with-constraints')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react-form-with-constraints'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.ReactFormWithConstraintsBootstrap = {}, global.ReactFormWithConstraints));
})(this, (function (exports, reactFormWithConstraints) { 'use strict';

  class FieldFeedback extends reactFormWithConstraints.FieldFeedback {
  }
  FieldFeedback.defaultProps = {
      ...reactFormWithConstraints.FieldFeedback.defaultProps,
      classes: {
          error: 'invalid-feedback',
          warning: 'warning-feedback',
          info: 'info-feedback',
          whenValid: 'valid-feedback'
      }
  };
  class FieldFeedbackTooltip extends reactFormWithConstraints.FieldFeedback {
  }
  FieldFeedbackTooltip.defaultProps = {
      ...reactFormWithConstraints.FieldFeedback.defaultProps,
      classes: {
          error: 'invalid-tooltip',
          warning: 'warning-tooltip',
          info: 'info-tooltip',
          whenValid: 'valid-tooltip'
      }
  };
  class Input extends reactFormWithConstraints.Input {
  }
  Input.defaultProps = {
      classes: {
          isPending: 'is-pending',
          hasErrors: 'is-invalid',
          hasWarnings: 'is-warning',
          hasInfos: 'is-info',
          isValid: 'is-valid'
      }
  };

  Object.defineProperty(exports, 'Async', {
    enumerable: true,
    get: function () { return reactFormWithConstraints.Async; }
  });
  Object.defineProperty(exports, 'FieldFeedbacks', {
    enumerable: true,
    get: function () { return reactFormWithConstraints.FieldFeedbacks; }
  });
  Object.defineProperty(exports, 'FormWithConstraints', {
    enumerable: true,
    get: function () { return reactFormWithConstraints.FormWithConstraints; }
  });
  exports.FieldFeedback = FieldFeedback;
  exports.FieldFeedbackTooltip = FieldFeedbackTooltip;
  exports.Input = Input;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
